# H245_UserInputIndication_extendedAlphanumeric Class Reference

`#include <h245.h>`

Inheritance diagram for H245_UserInputIndication_extendedAlphanumeric:

List of all members.

## Public Types

enum | OptionalFields { e_rtpPayloadIndication, e_encryptedAlphanumeric }

## Public Member Functions

| H245_UserInputIndication_extendedAlphanumeric (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_GeneralString | m_alphanumeric
PASN_Null | m_rtpPayloadIndication
H245_UserInputIndication_extendedAlphanumeric_encryptedAlphanumeric | m_encryptedAlphanumeric

## Member Enumeration Documentation

enum H245_UserInputIndication_extendedAlphanumeric::OptionalFields

Enumerator:

  e_rtpPayloadIndication |
  e_encryptedAlphanumeric |

## Constructor & Destructor Documentation

H245_UserInputIndication_extendedAlphanumeric::H245_UserInputIndication_extendedAlphanumeric | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_UserInputIndication_extendedAlphanumeric::GetDataLength | ( |  | ) | const

PBoolean H245_UserInputIndication_extendedAlphanumeric::Decode | ( | PASN_Stream & | strm | ) |

void H245_UserInputIndication_extendedAlphanumeric::Encode | ( | PASN_Stream & | strm | ) | const

void H245_UserInputIndication_extendedAlphanumeric::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_UserInputIndication_extendedAlphanumeric::Compare | ( | const PObject & | obj | ) | const

PObject* H245_UserInputIndication_extendedAlphanumeric::Clone | ( |  | ) | const

## Member Data Documentation

PASN_GeneralString H245_UserInputIndication_extendedAlphanumeric::m_alphanumeric

PASN_Null H245_UserInputIndication_extendedAlphanumeric::m_rtpPayloadIndication

H245_UserInputIndication_extendedAlphanumeric_encryptedAlphanumeric H245_UserInputIndication_extendedAlphanumeric::m_encryptedAlphanumeric

The documentation for this class was generated from the following file:

- h245.h